nxt.tools

## Class ManifestGenerator

- java.lang.Object
- - nxt.tools.ManifestGenerator

-     public class ManifestGenerator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ARDOR_MANIFEST`
    `static java.lang.String` | `ARDORSERVICE_MANIFEST`
    `static java.lang.String` | `CONF`
    `static java.lang.String` | `JAVAFX_LIB`
    `static java.lang.String` | `JAVAFX_SDK_LIB`
    `static java.lang.String` | `JAVAFX_SDK_RUNTIME_LIB`
    `static java.lang.String` | `LIB`
    `static java.lang.String` | `SOURCE_FILE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ManifestGenerator()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JAVAFX_SDK_RUNTIME_LIB

          public static final java.lang.String JAVAFX_SDK_RUNTIME_LIB

      See Also:
        Constant Field Values

    - #### JAVAFX_LIB

          public static final java.lang.String JAVAFX_LIB

      See Also:
        Constant Field Values

    - #### JAVAFX_SDK_LIB

          public static final java.lang.String JAVAFX_SDK_LIB

      See Also:
        Constant Field Values

    - #### LIB

          public static final java.lang.String LIB

      See Also:
        Constant Field Values

    - #### CONF

          public static final java.lang.String CONF

      See Also:
        Constant Field Values

    - #### SOURCE_FILE

          public static final java.lang.String SOURCE_FILE

      See Also:
        Constant Field Values

    - #### ARDOR_MANIFEST

          public static final java.lang.String ARDOR_MANIFEST

      See Also:
        Constant Field Values

    - #### ARDORSERVICE_MANIFEST

          public static final java.lang.String ARDORSERVICE_MANIFEST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ManifestGenerator

          public ManifestGenerator()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)